//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Sample/RoughnessModelItems.h
//! @brief     Defines classes RoughnessModelItems.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2024
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_SAMPLE_ROUGHNESSMODELITEMS_H
#define BORNAGAIN_GUI_MODEL_SAMPLE_ROUGHNESSMODELITEMS_H

#include "Sample/Interface/RoughnessModels.h"

class RoughnessModelItem {
public:
    virtual ~RoughnessModelItem() = default;

    virtual void writeTo(QXmlStreamWriter*) const = {};
    virtual void readFrom(QXmlStreamReader*) = {};
};

class ErfRoughnessItem : public RoughnessModelItem {};

class TanhRoughnessItem : public RoughnessModelItem {};

#endif // BORNAGAIN_GUI_MODEL_SAMPLE_ROUGHNESSMODELITEMS_H
